Workspace status
Retrieves the current status of a workspace including:
- Counts of new files
- Counts of modified files
- Counts of deleted files
- Optionally detailed file entries
Features:
- Pagination via
limitandskip - Filtering by
path_prefix - Recursive/non-recursive listing via
recurseparameter detail_itemsparameter controls whether full file entries are returned- Results filtered based on path permissions
- Supports caching and ETags for performance
Documentation Index
Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
3 - 128"example_id"
The repo ID of the workspace.
3 - 128"example_id"
Query Parameters
Should detail all the changed items in status response
Limit the number of entries returned from walk
x >= 117
Specifies if to recursively iterate file tree to next directory levels
A path prefix in the file tree to walk under
"path/to/file"
Response
The changes made to this workspace since the commit it's based upon.
The status of the workspace, meaning its bill of changes. It will contain the total number of changed items and specifically changed files. If paths details were requested, it will also contain an object having 'new', 'modified', 'deleted' arrays of file entries, sorted lexicographically.
Number of changed items of all types
Number of changed files
The result list was trimmed and the counts are a lower bound only
Drill down into modified items by change type
List of conflicted file paths, compared to the base branch, if applicable

